Subject: Re: linux-next: build failure after merge of the vhost tree

From: Guennadi Liakhovetski <[email-masked]>
Date: Tue, 4 Aug 2020 09:04:40 +0200

Michael, looks like something went wrong with your merge? My patch 
https://lore.kernel.org/r/[email-masked] 
has the header, your merged commit 
https://git.kernel.org/pub/scm/linux/kernel/git/mst/vhost.git/commit/?h=vhost&id=bba6f4f52c31af1ce4ebcc063afa08eb063b3d2c
doesn't have it?

Thanks
Guennadi

On Tue, Aug 04, 2020 at 07:47:58AM +0200, Guennadi Liakhovetski wrote:
> Hi Stephen,
> 
> On Tue, Aug 04, 2020 at 03:11:17PM +1000, Stephen Rothwell wrote:
> > Hi all,
> > 
> > After merging the vhost tree, today's linux-next build (arm
> > multi_v7_defconfig) failed like this:
> > 
> > drivers/rpmsg/virtio_rpmsg_bus.c:28:10: fatal error: linux/virtio_rpmsg.h: No such file or directory
> >    28 | #include <linux/virtio_rpmsg.h>
> >       |          ^~~~~~~~~~~~~~~~~~~~~~
> > 
> > Caused by commit
> > 
> >   bba6f4f52c31 ("rpmsg: move common structures and defines to headers")
> > 
> > I have used the vhost tree from next-20200803 for today.
> 
> Yes, I've seen that, that's a clang build for MIPS... I'll have a look.
> 
> Thanks
> Guennadi
> 
> > -- 
> > Cheers,
> > Stephen Rothwell